GNU bug report logs - #26787
25.2; xwidget-webkit-browse-url segfault

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Ellington Santos <ellingtonsantos@HIDDEN>; merged with #26186, #27514; dated Fri, 5 May 2017 19:01:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 26186 26787 27514. Request was from npostavs@HIDDEN to control <at> debbugs.gnu.org. Full text available.
Merged 26186 26787. Request was from npostavs@HIDDEN to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 5 May 2017 19:00:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 05 15:00:22 2017
Received: from localhost ([127.0.0.1]:56741 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1d6iSj-0004pM-Nh
	for submit <at> debbugs.gnu.org; Fri, 05 May 2017 15:00:22 -0400
Received: from eggs.gnu.org ([208.118.235.92]:39263)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ellingtonsantos@HIDDEN>) id 1d6iFd-0003lc-8j
 for submit <at> debbugs.gnu.org; Fri, 05 May 2017 14:46:49 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ellingtonsantos@HIDDEN>) id 1d6iFW-0001re-8v
 for submit <at> debbugs.gnu.org; Fri, 05 May 2017 14:46:43 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 HTML_MESSAGE,T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:46035)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <ellingtonsantos@HIDDEN>)
 id 1d6iFW-0001rO-4h
 for submit <at> debbugs.gnu.org; Fri, 05 May 2017 14:46:42 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:58427)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <ellingtonsantos@HIDDEN>) id 1d6iFT-0007TS-TO
 for bug-gnu-emacs@HIDDEN; Fri, 05 May 2017 14:46:41 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ellingtonsantos@HIDDEN>) id 1d6iFS-0001pZ-6H
 for bug-gnu-emacs@HIDDEN; Fri, 05 May 2017 14:46:39 -0400
Received: from mail-lf0-x232.google.com ([2a00:1450:4010:c07::232]:34566)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <ellingtonsantos@HIDDEN>)
 id 1d6iFR-0001os-Pn
 for bug-gnu-emacs@HIDDEN; Fri, 05 May 2017 14:46:38 -0400
Received: by mail-lf0-x232.google.com with SMTP id 99so8184868lfu.1
 for <bug-gnu-emacs@HIDDEN>; Fri, 05 May 2017 11:46:35 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=4kAliPjyrXefcNHGA67Hcg6LPmvY1bjBmKbXMJs3DRc=;
 b=gV7a86c54xpBi1U2/+uTFhVdqxEL6JS02UBaF4htcn3L7TN1kxLfBf4mayV+l+Wri6
 YomDGKh/GL2YCDMB3Hn/kWZIrwGOBTaySyDQy0oBAK7u2a+J0rKrnFRxLQmHqgEyVkYo
 tYwQvp1zHCA/2JEpLy7uFF1XE+WoTH0D0GDlt0oQFtMq68gy4NgHxYK9ukMestTqjVzM
 Wm42/fpRLfH7Xd8I/EYB+89dUuw06BzNf6JKvxs2a2qp5Sr9nA8l7GLa4D4N5yXFcA+h
 FB6PSM7endDu4+0Pj6dZMoKjugwP6Gx7K2OkKrs4jYa4MOWFBl1ucTqij98cWc6wCwQX
 /d6w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=4kAliPjyrXefcNHGA67Hcg6LPmvY1bjBmKbXMJs3DRc=;
 b=t8DyhHKZLoC+KPOI/ObL7jYNVIECbIQ62O7jZgAwzSMgQaB79Yh7MHbDpELG5cBPZW
 rPp0xQ/q3lTlKnKUNWFBpMuZFIZFDvMlA6X+ZsinWECiYKbpAgmGBIhk/pQFEtqGK+PB
 dLkaeI2O276jm5o0cRb6/odE/AFl4dEczpJO+qwWJ2IBI0wGxJuwhKeGNHSAzJ89Z3RJ
 e5hBoix77OVG2tMfFh3QDGDGS1B8pNZcQrCHzrOb2aGFIcYp9tC6Kh5vI7W+qRzz486e
 WZVry9LoA/ekZ/heKDR+zkZxAOuzL7U+Y7OkHwe4/JMkwMD5ZLDyHJhRhqfQ6F8xXT7I
 96EA==
X-Gm-Message-State: AN3rC/67CRYGCGaoil+KjAkMXAHyoB2w7j00Mj05c8tMs89472d9uFeU
 PXeTNN+zCOrff9lVokBG8TN7I0DFpWUOcMY=
X-Received: by 10.25.208.205 with SMTP id h196mr17422734lfg.73.1494009994398; 
 Fri, 05 May 2017 11:46:34 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.46.84.6 with HTTP; Fri, 5 May 2017 11:46:33 -0700 (PDT)
From: Ellington Santos <ellingtonsantos@HIDDEN>
Date: Fri, 5 May 2017 15:46:33 -0300
Message-ID: <CAK91t2L_LmmbqhteGniPaf6r5tid4_4RO+DLyaT-OH_88Kv=WA@HIDDEN>
Subject: 25.2; xwidget-webkit-browse-url segfault
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary=001a113c988c01e5df054ecb4f11
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Fri, 05 May 2017 15:00:20 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

--001a113c988c01e5df054ecb4f11
Content-Type: text/plain; charset=UTF-8

[ellton@t61 ~]$ emacs -Q

M-x xwidget-webkit-browse-url RET http://www.google.com RET

Fatal error 11: Segmentation fault
Backtrace:
emacs[0x5075b8]
emacs[0x50765f]
/usr/lib/libpthread.so.0(+0x11fe0)[0x7f6a15a84fe0]
/usr/lib/libc.so.6(malloc_usable_size+0x54)[0x7f6a155481e4]
/usr/lib/libsqlite3.so.0(+0x8b669)[0x7f6a0d26f669]
/usr/lib/libsqlite3.so.0(sqlite3Malloc+0xa6)[0x7f6a0d26ec66]
/usr/lib/libsqlite3.so.0(sqlite3MallocZero+0xe)[0x7f6a0d26f24e]
/usr/lib/libsqlite3.so.0(+0x89579)[0x7f6a0d26d579]
/usr/lib/libwebkitgtk-3.0.so.0(+0x13a04e8)[0x7f6a191744e8]
/usr/lib/libwebkitgtk-3.0.so.0(+0x139ea59)[0x7f6a19172a59]
/usr/lib/libwebkitgtk-3.0.so.0(+0xb34930)[0x7f6a18908930]
/usr/lib/libjavascriptcoregtk-3.0.so.0(+0x5d68da)[0x7f6a0f9c98da]
/usr/lib/libpthread.so.0(+0x72e7)[0x7f6a15a7a2e7]
/usr/lib/libc.so.6(clone+0x3f)[0x7f6a155b754f]
Segmentation fault (core dumped)


In GNU Emacs 25.2.1 (x86_64-unknown-linux-gnu, GTK+ Version 3.22.12)
 of 2017-05-05 built on t61
Windowing system distributor 'The X.Org Foundation', version 11.0.11903000
Configured using:
 'configure --prefix=/usr --sysconfdir=/etc --libexecdir=/usr/lib
 --localstatedir=/var --with-x-toolkit=gtk3 --with-xft --with-modules
 --with-xwidgets 'CFLAGS=-march=x86-64 -mtune=generic -O2 -pipe
 -fstack-protector-strong' CPPFLAGS=-D_FORTIFY_SOURCE=2
 LDFLAGS=-Wl,-O1,--sort-common,--as-needed,-z,relro'

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GPM DBUS GCONF GSETTINGS
NOTIFY ACL GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11 MODULES XWIDGETS

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Fundamental

Minor modes in effect:
  openwith-mode: t
  shell-dirtrack-mode: t
  display-time-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
Mark set
current-kill: Kill ring is empty
Mark set [4 times]
Saving file /home/ellton/segf...
Wrote /home/ellton/segf
Making completion list...

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message idna dired rfc822 mml mml-sec
epg mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev
gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums mail-utils
openwith easy-mmode tramp tramp-compat auth-source cl-seq eieio
eieio-core cl-macs gnus-util mm-util help-fns mail-prsvr password-cache
tramp-loaddefs trampver ucs-normalize shell pcomplete comint ansi-color
ring format-spec advice bitlbee time finder-inf package epg-config seq
byte-opt gv bytecomp byte-compile cl-extra help-mode easymenu cconv
cl-loaddefs pcase cl-lib server time-date mule-util tooltip eldoc
electric uniquify ediff-hook vc-hooks lisp-float-type mwheel x-win
term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list newcomment elisp-mode lisp-mode prog-mode register page
menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core frame cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese charscript case-table epa-hook jka-cmpr-hook help
simple abbrev minibuffer cl-preloaded nadvice loaddefs button faces
cus-face macroexp files text-properties overlay sha1 md5 base64 format
env code-pages mule custom widget hashtable-print-readable backquote
dbusbind inotify dynamic-setting system-font-setting font-render-setting
xwidget-internal move-toolbar gtk x-toolkit x multi-tty
make-network-process emacs)

Memory information:
((conses 16 281975 7348)
 (symbols 48 26767 0)
 (miscs 40 61 140)
 (strings 32 41241 7553)
 (string-bytes 1 1095695)
 (vectors 16 41514)
 (vector-slots 8 782587 4127)
 (floats 8 242 221)
 (intervals 56 231 0)
 (buffers 976 20))

--001a113c988c01e5df054ecb4f11
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><br>[ellton@t61 ~]$ emacs -Q<br><br>M-x xwidget-webkit-bro=
wse-url RET <a href=3D"http://www.google.com">http://www.google.com</a> RET=
<br><br>Fatal error 11: Segmentation fault<br>Backtrace:<br>emacs[0x5075b8]=
<br>emacs[0x50765f]<br>/usr/lib/libpthread.so.0(+0x11fe0)[0x7f6a15a84fe0]<b=
r>/usr/lib/libc.so.6(malloc_usable_size+0x54)[0x7f6a155481e4]<br>/usr/lib/l=
ibsqlite3.so.0(+0x8b669)[0x7f6a0d26f669]<br>/usr/lib/libsqlite3.so.0(sqlite=
3Malloc+0xa6)[0x7f6a0d26ec66]<br>/usr/lib/libsqlite3.so.0(sqlite3MallocZero=
+0xe)[0x7f6a0d26f24e]<br>/usr/lib/libsqlite3.so.0(+0x89579)[0x7f6a0d26d579]=
<br>/usr/lib/libwebkitgtk-3.0.so.0(+0x13a04e8)[0x7f6a191744e8]<br>/usr/lib/=
libwebkitgtk-3.0.so.0(+0x139ea59)[0x7f6a19172a59]<br>/usr/lib/libwebkitgtk-=
3.0.so.0(+0xb34930)[0x7f6a18908930]<br>/usr/lib/libjavascriptcoregtk-3.0.so=
.0(+0x5d68da)[0x7f6a0f9c98da]<br>/usr/lib/libpthread.so.0(+0x72e7)[0x7f6a15=
a7a2e7]<br>/usr/lib/libc.so.6(clone+0x3f)[0x7f6a155b754f]<br>Segmentation f=
ault (core dumped)<br><br><br>In GNU Emacs 25.2.1 (x86_64-unknown-linux-gnu=
, GTK+ Version 3.22.12)<br>=C2=A0of 2017-05-05 built on t61<br>Windowing sy=
stem distributor &#39;The X.Org Foundation&#39;, version 11.0.11903000<br>C=
onfigured using:<br>=C2=A0&#39;configure --prefix=3D/usr --sysconfdir=3D/et=
c --libexecdir=3D/usr/lib<br>=C2=A0--localstatedir=3D/var --with-x-toolkit=
=3Dgtk3 --with-xft --with-modules<br>=C2=A0--with-xwidgets &#39;CFLAGS=3D-m=
arch=3Dx86-64 -mtune=3Dgeneric -O2 -pipe<br>=C2=A0-fstack-protector-strong&=
#39; CPPFLAGS=3D-D_FORTIFY_SOURCE=3D2<br>=C2=A0LDFLAGS=3D-Wl,-O1,--sort-com=
mon,--as-needed,-z,relro&#39;<br><br>Configured features:<br>XPM JPEG TIFF =
GIF PNG RSVG IMAGEMAGICK SOUND GPM DBUS GCONF GSETTINGS<br>NOTIFY ACL GNUTL=
S LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB<br>TOOLKIT_SCROLL_BARS GTK3 X11=
 MODULES XWIDGETS<br><br>Important settings:<br>=C2=A0 value of $LANG: en_U=
S.UTF-8<br>=C2=A0 locale-coding-system: utf-8-unix<br><br>Major mode: Funda=
mental<br><br>Minor modes in effect:<br>=C2=A0 openwith-mode: t<br>=C2=A0 s=
hell-dirtrack-mode: t<br>=C2=A0 display-time-mode: t<br>=C2=A0 tooltip-mode=
: t<br>=C2=A0 global-eldoc-mode: t<br>=C2=A0 electric-indent-mode: t<br>=C2=
=A0 mouse-wheel-mode: t<br>=C2=A0 file-name-shadow-mode: t<br>=C2=A0 global=
-font-lock-mode: t<br>=C2=A0 font-lock-mode: t<br>=C2=A0 blink-cursor-mode:=
 t<br>=C2=A0 auto-composition-mode: t<br>=C2=A0 auto-encryption-mode: t<br>=
=C2=A0 auto-compression-mode: t<br>=C2=A0 line-number-mode: t<br>=C2=A0 tra=
nsient-mark-mode: t<br><br>Recent messages:<br>For information about GNU Em=
acs and the GNU system, type C-h C-a.<br>Mark set<br>current-kill: Kill rin=
g is empty<br>Mark set [4 times]<br>Saving file /home/ellton/segf...<br>Wro=
te /home/ellton/segf<br>Making completion list...<br><br>Load-path shadows:=
<br>None found.<br><br>Features:<br>(shadow sort mail-extr emacsbug message=
 idna dired rfc822 mml mml-sec<br>epg mm-decode mm-bodies mm-encode mail-pa=
rse rfc2231 mailabbrev<br>gmm-utils mailheader sendmail rfc2047 rfc2045 iet=
f-drums mail-utils<br>openwith easy-mmode tramp tramp-compat auth-source cl=
-seq eieio<br>eieio-core cl-macs gnus-util mm-util help-fns mail-prsvr pass=
word-cache<br>tramp-loaddefs trampver ucs-normalize shell pcomplete comint =
ansi-color<br>ring format-spec advice bitlbee time finder-inf package epg-c=
onfig seq<br>byte-opt gv bytecomp byte-compile cl-extra help-mode easymenu =
cconv<br>cl-loaddefs pcase cl-lib server time-date mule-util tooltip eldoc<=
br>electric uniquify ediff-hook vc-hooks lisp-float-type mwheel x-win<br>te=
rm/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe<br>tabulat=
ed-list newcomment elisp-mode lisp-mode prog-mode register page<br>menu-bar=
 rfn-eshadow timer select scroll-bar mouse jit-lock font-lock<br>syntax fac=
emenu font-core frame cl-generic cham georgian utf-8-lang<br>misc-lang viet=
namese tibetan thai tai-viet lao korean japanese eucjp-ms<br>cp51932 hebrew=
 greek romanian slovak czech european ethiopic indian<br>cyrillic chinese c=
harscript case-table epa-hook jka-cmpr-hook help<br>simple abbrev minibuffe=
r cl-preloaded nadvice loaddefs button faces<br>cus-face macroexp files tex=
t-properties overlay sha1 md5 base64 format<br>env code-pages mule custom w=
idget hashtable-print-readable backquote<br>dbusbind inotify dynamic-settin=
g system-font-setting font-render-setting<br>xwidget-internal move-toolbar =
gtk x-toolkit x multi-tty<br>make-network-process emacs)<br><br>Memory info=
rmation:<br>((conses 16 281975 7348)<br>=C2=A0(symbols 48 26767 0)<br>=C2=
=A0(miscs 40 61 140)<br>=C2=A0(strings 32 41241 7553)<br>=C2=A0(string-byte=
s 1 1095695)<br>=C2=A0(vectors 16 41514)<br>=C2=A0(vector-slots 8 782587 41=
27)<br>=C2=A0(floats 8 242 221)<br>=C2=A0(intervals 56 231 0)<br>=C2=A0(buf=
fers 976 20))<br><br></div>

--001a113c988c01e5df054ecb4f11--




Acknowledgement sent to Ellington Santos <ellingtonsantos@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#26787; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 28 Jun 2017 10:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.